Bug 135187 - FILEOPEN DOCX Table text loses bold formatting
Summary: FILEOPEN DOCX Table text loses bold formatting
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2020-07-27 10:49 UTC by NISZ LibreOffice Team
Modified: 2022-09-08 11:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (12.01 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-07-27 10:49 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (94.11 KB, image/png)
2020-07-27 10:49 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-07-27 10:49:34 UTC
Created attachment 163605 [details]
Example file from Word

Attached user made document contains a table with bold text formatting coming from the Normal style in Word.
Opening this file in Writer the first row keeps the bold formatting but the second and third lose it.

Steps to reproduce:
    1. Open attached file

Actual results:
Second and third rows text is not bold.

Expected results:
All text should be bold.

LibreOffice details:
Version: 7.0.0.1 (x64)
Build ID: 04ba7e3f1e51af6c5d653e543a620e36719083fd
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

But not yet in:
Verzió: 6.4.0.3 (x86)
Build az.: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: GL; VCL: win; 
Területi beállítások: en-US (hu_HU); Felület nyelve: hu-HU
Calc: CL

Additional Information: 

Bibisected using bibisect-win64-7.X to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=4d5c0eaf3e0d3d3bcd9e691fffee19b75f3d6631
author	László Németh <nemeth@numbertext.org>	2020-02-17 14:34:11 +0100
committer	László Németh <nemeth@numbertext.org>	2020-02-19 16:46:18 +0100

tdf#118812 DOCX import: fix table style preference – part 2

Adding CC to: László Németh
Comment 1 NISZ LibreOffice Team 2020-07-27 10:49:53 UTC
Created attachment 163606 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 raal 2020-07-27 15:48:10 UTC
confirm Version: 7.1.0.0.alpha0+
Build ID: abea0d6647c7f1f7e76c73c26cb80e6a67dc5111
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded
Comment 3 Commit Notification 2020-08-20 08:35:05 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bf3124cdf61b40c94ba117a76f1b63dabdfd528e

tdf#135187 DOCX import: fix table style at character formatting

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2020-09-08 10:50:46 UTC
Verified in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: a3b4831208da615789bd1e2d5660dd130807f504
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded